COLORTAIL(1)

NAME
colortail - output the last part of files, optionally with color

SYNOPSIS
colortail [OPTION]... [FILE]...

DESCRIPTION
Print last 10 lines of each FILE to standard output. With more than one FILE, precede each with a header giving the file name. colortail works like tail but can optionally read one or more config files where it's specified which patterns results in which colors. colortail uses regular expressions (see re_format(7)) to determine which lines and parts of lines to print in which colors.

USAGE
Most options are easily understandood. The only somewhat strange option is the -k option that specifies the config files so colortail knows what should be printed in which color. If only one config file and one or more tail files is given the config file is treated as a global one, i.e. colortail -k conf.global file1 file2 file3 Multiple config files are separated with a , and if one tail file shouldn't have a config file just leave it blank, i.e. colortail -k conf.file1,,conf.file3 file1 file2 file3

OPTIONS
This program follow the usual GNU command line syntax, with long options starting with two dashes (`--'). A summary of options is included below.

-f, --follow
    output appended data as the file grows

-h, --help
    Show summary of options.

-k, --config=file, --config=file1,file2,...
    color config files for the tail files. If only one config file it's global otherwise one config file for each tail file

-n, --lines=N
    output the last N lines, instead of last 10

-v, --version
    output version information and exit

FILE FORMAT
The file specified by the -k option tells colortail how to display the output according to regular expressions. The file mapps one or more regular expressions to one of the following colors: brightblue, brightred, brightwhite, blue, cyan, green, magenta, yellow. Comments start with a "#": COLOR brightred
{
# matches the word "root"
^.*(root).*$
}

VERSION
0.3.0

BUGS
Under certain circumstances colortail may miss some characters when tailing forever. This bug also exists in tail(1). If you have found a bug, please send a mail to pt98jan@student.hk-r.se

SEE ALSO
re_format(7), tail(1)

AUTHOR
Joakim Andersson <pt98jan@student.hk-r.se> - colortail
Jan Schaumann <jschauma@netmeister.org> - this man page